#!/usr/bin/env bash

#echo ${MYSQL_DATABASE}
#echo ${MYSQL_PASSWORD}
#echo ${MYSQL_ROOT_PASSWORD}
#echo ${MYSQL_USER}

CMD="mysql --user=root --password=${MYSQL_ROOT_PASSWORD}"

set +e -x

${CMD} -e "create database ${MYSQL_DATABASE};" 2>/dev/null

USER=$(${CMD} -e "select user from mysql.user where user='${MYSQL_USER}'" | tail -1)
if [[ ! -z ${USER} ]]; then
	echo "KEA User ${USER} exists."
else
	${CMD} -e "CREATE USER '${MYSQL_USER}'@'%' IDENTIFIED mysql_native_password BY '${MYSQL_PASSWORD}';"
	${CMD} -e "GRANT ALL ON ${MYSQL_DATABASE}.* TO '${MYSQL_USER}'@'%';"
	echo "Created KEA User ${USER}."
fi

${CMD} -D ${MYSQL_DATABASE} -e "SOURCE /usr/share/kea/scripts/mysql/dhcpdb_create.mysql"
${CMD} -D ${MYSQL_DATABASE} -e "SHOW tables"

SCRIPTS=$(ls /usr/share/kea/scripts/mysql/kea_*.sql 2>/dev/null)
for SCRIPT in ${SCRIPTS}; do
    ${CMD} -D ${MYSQL_DATABASE} -e "SOURCE ${SCRIPT}"
done

SCRIPTS=$(ls /usr/share/tips/scripts/*.sql 2>/dev/null)
for SCRIPT in ${SCRIPTS}; do
    ${CMD} -D ${MYSQL_DATABASE} -e "SOURCE ${SCRIPT}"
done

set -e
