DELIMITER $$
DROP PROCEDURE IF EXISTS delete_reservation;

CREATE DEFINER =`kea`@`%` PROCEDURE `delete_reservation`(
  IN  hwaddress        varchar(18),
  IN  dhcp4_subnet_id  int(10) unsigned,
  IN  ipv4_reservation varchar(16),
  IN  hostname         varchar(255)
)

  # Need to cleanup external options when (if) we broaden options allowed to be set
  proc: BEGIN

    DECLARE EXIT HANDLER FOR SQLEXCEPTION, SQLWARNING
    BEGIN
      ROLLBACK;
    END;

    START TRANSACTION;
    SET @dhcp4_subnet_id = 1;
    SET @dhcp_identifier := UNHEX(REPLACE(hwaddress, ':', ''));
    SET @ip4reservation := INET_ATON(ipv4_reservation);

    DELETE
    FROM hosts
    WHERE
      dhcp_identifier = @dhcp_identifier;
#    OR
#      ipv4_address = @ip4reservation
#      OR
#      hostname = @hostname;
    COMMIT;

  END;
